local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua');
local ScenarioFramework = import('/lua/ScenarioFramework.lua');
local Utilities = import('/lua/utilities.lua');
local Entity = import('/lua/sim/Entity.lua').Entity;

-- Most of this script has been copied from Commander Chronicles - See Final Rush Me Pro 2 - V3

function OnPopulate()
	ScenarioUtils.InitializeArmies()
	
	--fatboys = uel0401
	--local exp11 = CreateUnitHPR( "uaa0107", "ARMY_1", 24.5, 2.5, 90.5, 0,0,0)
	--local exp12 = CreateUnitHPR( "uaa0303", "ARMY_1", 27.5, 2.5, 90.5, 0,0,0)
	
	-- spawn experimentals to test
	--local exp13 = CreateUnitHPR( "uel0401", "ARMY_1", 24.5, 2.5, 93.5, 0,0,0)
	--local exp14 = CreateUnitHPR( "uel0401", "ARMY_1", 19.5, 2.5, 93.5, 0,0,0)
	--local exp14 = CreateUnitHPR( "uel0401", "ARMY_1", 10.5, 2.5, 93.5, 0,0,0)
	
	--army_1 = 86.5, 2.49219, 54.5
	--army_2 = 179.5, 2.49219, 76.5
	--army_3 = 329.5, 2.49219, 76.5
	--army_4 = 418.5, 2.49219, 54.5
	--army_5 = 86.5, 2.49609, 458.5
	--army_6 = 179.5, 2.49219, 439.5
	--army_7 = 329.5, 2.49219, 439.5
	--army_8 = 418.5, 2.49609, 458.5
	
	--86.5, 2.49219, 54.5
	--94.5, 2.49219, 56.5, 0,0,0)
	--179.5, 2.49219, 76.5
	--187.5, 2.49219, 78.5, 0,0,0)
	
	--329.5, 2.49219, 76.5
	--321.5, 2.49219, 78.5, 0,0,0)
	--418.5, 2.49219, 54.5
	--410.5, 2.49219, 56.5, 0,0,0)
	
	--86.5, 2.49609, 458.5
	--94.5, 2.49219, 460.5, 0,0,0)
	--179.5, 2.49219, 439.5
	--187.5, 2.49219, 441.5, 0,0,0)
	
	--329.5, 2.49219, 439.5
	--321.5, 2.49219, 441.5, 0,0,0)
	--418.5, 2.49609, 458.5
	--410.5, 2.49219, 460.5, 0,0,0)
	
	
	
	--local exp11 = CreateUnitHPR( "uaa0107", "ARMY_1", 13.816323, 25.730654, 500.078125, 0,0,0)
	
	spawntents()
	
end

function OnStart(self) 
end

--checks for army existance
armyexist = function(testarmy) 
local army_list = ListArmies();
for key, value in army_list do 
    if (value == testarmy) then
     return true;
    end
  end
end

--spawns tents, checks if army exists before inserting, otherwise
spawntents = function()
local tent = "xrb0304"

LOG('# of tents chosen = ', ScenarioInfo.Options.opt_tents)

if (ScenarioInfo.Options.opt_tents == 1) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 64.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then
	CreateUnitHPR( tent, "ARMY_3", 431.500000, 25.984375, 369.500000, 0,0,0)
  end  
  if(armyexist("ARMY_4") == true) then	
    CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 68.5, 0,0,0)
  end
  if(armyexist("ARMY_5") == true) then	
    CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 444.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then	
    CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 452.5, 0,0,0)
  end  
  if(armyexist("ARMY_7") == true) then	
    CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 452.5, 0,0,0)
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 452.5, 0,0,0)
  end
end
		
if (ScenarioInfo.Options.opt_tents == 2) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 62.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 76.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then	
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 62.5, 0,0,0)
  end
  if(armyexist("ARMY_4") == true) then	
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 68.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 66.5, 0,0,0)
  end
  if(armyexist("ARMY_5") == true) then	
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 444.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 446.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 450.5, 0,0,0)
  end
  if(armyexist("ARMY_7") == true) then
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 450.5, 0,0,0)
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 450.5, 0,0,0)
  end
end
	
if (ScenarioInfo.Options.opt_tents == 3) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 60.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 74.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 60.5, 0,0,0) 
  end
  if(armyexist("ARMY_4") == true) then
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 68.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 66.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 64.5, 0,0,0) 
  end
  if(armyexist("ARMY_5") == true) then
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 444.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 446.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 447.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 448.5, 0,0,0)
  end
  if(armyexist("ARMY_7") == true) then
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 448.5, 0,0,0) 
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 448.5, 0,0,0) 
  end
end	

if (ScenarioInfo.Options.opt_tents == 4) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 60.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 64.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 74.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 78.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 60.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_3", 348.5, 2.49219, 64.5, 0,0,0)
  end
  if(armyexist("ARMY_4") == true) then	
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 68.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 66.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 64.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_4", 430.5, 2.49219, 68.5, 0,0,0)
	end
  if(armyexist("ARMY_5") == true) then
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 444.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 446.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 447.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 73.5, 2.49219, 444.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 448.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 138.5, 2.49219, 452.5, 0,0,0)
  end
  if(armyexist("ARMY_7") == true) then
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 448.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_7", 368.5, 2.49219, 452.5, 0,0,0)
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 448.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_8", 426.5, 2.49219, 452.5, 0,0,0)
  end
end	

if (ScenarioInfo.Options.opt_tents == 5) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 60.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 62.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 74.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 76.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 62.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 350.5, 2.49219, 60.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_3", 348.5, 2.49219, 64.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 348.5, 2.49219, 62.5, 0,0,0)
  end
  if(armyexist("ARMY_4") == true) then
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 68.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 66.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 428.5, 2.49219, 64.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_4", 430.5, 2.49219, 68.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 430.5, 2.49219, 66.5, 0,0,0)
  end
  if(armyexist("ARMY_5") == true) then
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 444.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 446.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 75.5, 2.49219, 447.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 73.5, 2.49219, 444.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 73.5, 2.49219, 446.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 140.5, 2.49219, 448.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 138.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 138.5, 2.49219, 450.5, 0,0,0)
  end
  if(armyexist("ARMY_7") == true) then
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 370.5, 2.49219, 448.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_7", 368.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 368.5, 2.49219, 450.5, 0,0,0)
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 450.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 428.5, 2.49219, 448.5, 0,0,0) 
	CreateUnitHPR( tent, "ARMY_8", 426.5, 2.49219, 452.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 426.5, 2.49219, 450.5, 0,0,0)
  end
end

if (ScenarioInfo.Options.opt_tents == 6) then
  if(armyexist("ARMY_1") == true) then
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 56.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 54.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 94.5, 2.49219, 52.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 56.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 54.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_1", 92.5, 2.49219, 52.5, 0,0,0)
  end
  if(armyexist("ARMY_2") == true) then
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 187.5, 2.49219, 74.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_2", 185.5, 2.49219, 74.5, 0,0,0)
  end
  if(armyexist("ARMY_3") == true) then
	CreateUnitHPR( tent, "ARMY_3", 321.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 321.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 321.5, 2.49219, 74.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 319.5, 2.49219, 78.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 319.5, 2.49219, 76.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_3", 319.5, 2.49219, 74.5, 0,0,0)
  end
  if(armyexist("ARMY_4") == true) then
	CreateUnitHPR( tent, "ARMY_4", 410.5, 2.49219, 56.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 410.5, 2.49219, 54.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 410.5, 2.49219, 52.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 412.5, 2.49219, 56.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 412.5, 2.49219, 54.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_4", 412.5, 2.49219, 52.5, 0,0,0)
  end
  if(armyexist("ARMY_5") == true) then
	CreateUnitHPR( tent, "ARMY_5", 94.5, 2.49219, 460.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 94.5, 2.49219, 458.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 94.5, 2.49219, 456.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 96.5, 2.49219, 460.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 96.5, 2.49219, 458.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_5", 96.5, 2.49219, 456.5, 0,0,0)
  end
  if(armyexist("ARMY_6") == true) then
	CreateUnitHPR( tent, "ARMY_6", 187.5, 2.49219, 441.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 187.5, 2.49219, 439.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 187.5, 2.49219, 437.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 185.5, 2.49219, 441.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 185.5, 2.49219, 439.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_6", 185.5, 2.49219, 437.5, 0,0,0)
  end
  if(armyexist("ARMY_7") == true) then
	CreateUnitHPR( tent, "ARMY_7", 321.5, 2.49219, 441.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 321.5, 2.49219, 439.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 321.5, 2.49219, 437.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 319.5, 2.49219, 441.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 319.5, 2.49219, 439.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_7", 319.5, 2.49219, 437.5, 0,0,0)
  end
  if(armyexist("ARMY_8") == true) then
	CreateUnitHPR( tent, "ARMY_8", 410.5, 2.49219, 460.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 410.5, 2.49219, 458.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 410.5, 2.49219, 456.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 408.5, 2.49219, 460.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 408.5, 2.49219, 458.5, 0,0,0)
	CreateUnitHPR( tent, "ARMY_8", 408.5, 2.49219, 456.5, 0,0,0)
  end
end
end

--given a player returns a proper username
getUsername = function(army)
	return GetArmyBrain(army).Nickname;
end